svd.h File Reference

Definitions of Singular Value Decompositions. More...

`#include <itpp/base/mat.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

bool | itpp::svd (const mat &A, vec &s)
| Get singular values `s` of a real matrix `A` using SVD. More...
bool | itpp::svd (const cmat &A, vec &s)
| Get singular values `s` of a complex matrix `A` using SVD. More...
vec | itpp::svd (const mat &A)
| Return singular values of a real matrix `A` using SVD. More...
vec | itpp::svd (const cmat &A)
| Return singular values of a complex matrix `A` using SVD. More...
bool | itpp::svd (const mat &A, mat &U, vec &s, mat &V)
| Perform Singular Value Decomposition (SVD) of a real matrix `A`. More...
bool | itpp::svd (const cmat &A, cmat &U, vec &s, cmat &V)
| Perform Singular Value Decomposition (SVD) of a complex matrix `A`. More...

## Detailed Description

Definitions of Singular Value Decompositions.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file svd.h.

Generated on Thu Aug 20 2015 21:02:51 for IT++ by Doxygen 1.8.9.1